
=encoding utf8

=head1 NAME

Sidef::Types::Glob::File

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = File(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::String::String

=head1 METHODS

=head2 abs

    File.abs()

Returns the

Aliases: I<abs_name>, I<absname>, I<rel2abs>

=cut

=head2 abs_path

    File.abs_path()

Returns the

Aliases: I<realpath>

=cut

=head2 access_time_days_diff

    File.access_time_days_diff()

Returns the

=cut

=head2 append

    File.append()

Returns the

=cut

=head2 base

    File.base()

Returns the

Aliases: I<base_name>, I<basename>

=cut

=head2 change_time_days_diff

    File.change_time_days_diff()

Returns the

=cut

=head2 chmod

    File.chmod()

Returns the

=cut

=head2 chown

    File.chown()

Returns the

=cut

=head2 compare

    File.compare()

Returns the

=cut

=head2 cp

    File.cp()

Returns the

Aliases: I<copy>

=cut

=head2 delete

    File.delete()

Returns the

Aliases: I<remove>

=cut

=head2 dir

    File.dir()

Returns the

Aliases: I<dir_name>, I<dirname>

=cut

=head2 dump

    File.dump()

Returns the

=cut

=head2 edit

    File.edit()

Returns the

=cut

=head2 exists

    File.exists()

Returns the

=cut

=head2 has_setgid_bit

    File.has_setgid_bit()

Returns the

=cut

=head2 has_setuid_bit

    File.has_setuid_bit()

Returns the

=cut

=head2 has_sticky_bit

    File.has_sticky_bit()

Returns the

=cut

=head2 is_abs

    File.is_abs()

Returns the

Aliases: I<is_absolute>

=cut

=head2 is_binary

    File.is_binary()

Returns the

=cut

=head2 is_block

    File.is_block()

Returns the

=cut

=head2 is_char_device

    File.is_char_device()

Returns the

=cut

=head2 is_dir

    File.is_dir()

Returns the

Aliases: I<is_directory>

=cut

=head2 is_empty

    File.is_empty()

Returns the

=cut

=head2 is_executable

    File.is_executable()

Returns the

=cut

=head2 is_file

    File.is_file()

Returns the

=cut

=head2 is_link

    File.is_link()

Returns the

=cut

=head2 is_owned

    File.is_owned()

Returns the

=cut

=head2 is_readable

    File.is_readable()

Returns the

=cut

=head2 is_real_executable

    File.is_real_executable()

Returns the

=cut

=head2 is_real_owned

    File.is_real_owned()

Returns the

=cut

=head2 is_real_readable

    File.is_real_readable()

Returns the

=cut

=head2 is_real_writeable

    File.is_real_writeable()

Returns the

=cut

=head2 is_socket

    File.is_socket()

Returns the

=cut

=head2 is_text

    File.is_text()

Returns the

=cut

=head2 is_writeable

    File.is_writeable()

Returns the

=cut

=head2 lstat

    File.lstat()

Returns the

=cut

=head2 make

    File.make()

Returns the

Aliases: I<touch>, I<create>, I<mkfile>

=cut

=head2 md5

    File.md5()

Returns the

=cut

=head2 modification_time_days_diff

    File.modification_time_days_diff()

Returns the

=cut

=head2 mv

    File.mv()

Returns the

Aliases: I<move>

=cut

=head2 name

    File.name()

Returns the

=cut

=head2 new

    File.new()

Returns the

Aliases: I<call>

=cut

=head2 open

    File.open()

Returns the

=cut

=head2 open_a

    File.open_a()

Returns the

Aliases: I<open_append>

=cut

=head2 opendir

    File.opendir()

Returns the

=cut

=head2 open_r

    File.open_r()

Returns the

Aliases: I<open_read>

=cut

=head2 open_rw

    File.open_rw()

Returns the

Aliases: I<open_read_write>

=cut

=head2 open_w

    File.open_w()

Returns the

Aliases: I<open_write>

=cut

=head2 read

    File.read()

Returns the

=cut

=head2 read_link

    File.read_link()

Returns the

Aliases: I<readlink>

=cut

=head2 rel

    File.rel()

Returns the

Aliases: I<abs2rel>, I<rel_name>, I<relname>

=cut

=head2 rename

    File.rename()

Returns the

=cut

=head2 sha1

    File.sha1()

Returns the

=cut

=head2 sha256

    File.sha256()

Returns the

=cut

=head2 sha512

    File.sha512()

Returns the

=cut

=head2 size

    File.size()

Returns the

=cut

=head2 split

    File.split()

Returns the

=cut

=head2 splitpath

    File.splitpath()

Returns the

=cut

=head2 stat

    File.stat()

Returns the

=cut

=head2 sysopen

    File.sysopen()

Returns the

=cut

=head2 to_file

    File.to_file()

Returns the

=cut

=head2 to_s

    File.to_s()

Returns the

Aliases: I<to_str>

=cut

=head2 truncate

    File.truncate()

Returns the

=cut

=head2 unlink

    File.unlink()

Returns the

=cut

=head2 utime

    File.utime()

Returns the

=cut

=head2 write

    File.write()

Returns the

=cut
